package no.jabber.eclipseplugin;

/**
 * This class is intented to contain String constants used to identify
 * data objects associated with SWT GUI componentes.
 * Every GUI-component has setData() and getData() methods so one can 
 * store and retrieve objects associated with the component. This is essentialy stored
 * in an internal hashtable, so we need keys.
 * @author Arne Mathisen
 *
 */
public class GuiItemsDataKeys
{
	// "Format": WIDGET_OBJECT-TYPE
	
	public static String TABITEM_LOGDATA = "logdata";
	public static String TREEITEM_LOGDATA = "logdata";
	public static String TREEITEM_LOGSESSION = "logsession";
	public static String TREEITEM_CHATLOGVIEW = "view";
	public static String TREEITEM_NODECLASS = "nodeclass";
	public static String TREEITEM_PROJECT = "project";
	public static String TREEITEM_ROSTERNODE = "rosternode";
	public static String TREEITEM_CONTACT_AS_STRING = "user";
}
