package no.jabber.eclipseplugin.dialogs;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Dialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

public class MetaInfoDialog extends Dialog
{
	private Shell sShell;
	private boolean bDone;
	private boolean bResult;

	
	public MetaInfoDialog(Shell parent)
	{
		// TODO: Legg til parameter i denne metoden for  f inn "domeneinformasjon" i dialogen
		// Feks filnavn eller LogSession eller whatever
		
		// Endre 2.parameter her hvis man nsker andre "trimmings"
		super(parent,SWT.DIALOG_TRIM | SWT.APPLICATION_MODAL); 
		this.createSShell();
	}
	
	
	/**
	 * For  pne dialogen, kall denne metoden.
	 * 
	 * <code>
	 * MetaInfoDialog dlg = new MetaInfoDialog(shell);
	 * if(dlg.open())
	 * {
	 * 		// Bruker trykket OK nr han lukket dialogen
	 * }
	 * else
	 * {
	 * 		// Bruker trykket Cancel nr han lukket dialogen
	 * 		// Typisk: Do nothing!
	 * }
	 * </code>
	 * @return
	 */
	public boolean open()
	{
		this.sShell.open();
		Display display = this.getParent().getDisplay();
		while (!this.bDone && !sShell.isDisposed())
		{
			if (!display.readAndDispatch()) display.sleep();
		}
		// Denne trenger du strengt tatt ikke, siden resultatet er "true" uansett
		// Dvs true = OK, false = Cancel
		// Kan selvf bruke SWT-konstanter istedet. Hadde kanskje vrt mer "by the book"
		return this.bResult; 
	}
	
	private void createSShell()
	{
		sShell = new Shell(this.getParent(),this.getStyle());
		sShell.setText("Metainformation for <FILENAME>");
		// Mulig at du ikke trenger  sette strrelsen, dvs at det gr automatisk
		sShell.setSize(400,400); 
		
		// TODO: Her m du putte all koden som lager GUIet ditt!		
	}

}
