package no.jabber.eclipseplugin.jdtsearch;

import java.util.ArrayList;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.jdt.core.search.SearchMatch;
import org.eclipse.jdt.core.search.SearchRequestor;

/**
 * Class for holding matches when performing JDT search
 */
public class SearchRequestorEx extends SearchRequestor
{
	private ArrayList<SearchMatch> alMatches = new ArrayList<SearchMatch>();
	@Override
	public void acceptSearchMatch(SearchMatch match) throws CoreException
	{
		alMatches.add(match);
	}
	public ArrayList<SearchMatch> getMatches()
	{
		return this.alMatches;
	}
	
}
