package no.jabber.eclipseplugin.popup.actions;

import no.jabber.eclipseplugin.SimpleChatPlugin;

import org.eclipse.core.resources.IFile;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.IActionDelegate;

public class SetLocationFromFileAction implements IActionDelegate
{
	private IFile fileLatest;

	public void run(IAction action)
	{
		if(fileLatest != null)
		{
//			SimpleChatPlugin.getDefault().setContextFromMenu(fileLatest.getName());
			SimpleChatPlugin.getDefault().setContextLocationFromMenu(fileLatest.getFullPath());
		}
	}

	public void selectionChanged(IAction action, ISelection selection)
	{
		IStructuredSelection sel = (IStructuredSelection) selection;
		if(sel != null)
		{
			fileLatest = (IFile) sel.getFirstElement();
		}
	}

	
}
