package no.jabber.eclipseplugin.serialization;

/**
 * A single chat log message. Used for serializing and deserializing chat log.
 */
@SuppressWarnings("unused")
public class LogEntry
{
	private String From;
	private String To;
	private String Msg;
	private String Timestamp;
	private transient LogSession parent;


	public LogEntry(String strFrom, String strTo, String strMsg, String dtTimestamp, LogSession parent)
	{
		this.From = strFrom;
		this.To = strTo;
		this.Msg = strMsg;
		this.Timestamp = dtTimestamp;
		this.parent = parent;
	}

	public String getFrom()
	{
		return this.From;
	}

	public void setFrom(String strFrom)
	{
		this.From = strFrom;
	}

	public String getTo()
	{
		return this.To;
	}

	public void setTo(String strTo)
	{
		this.To = strTo;
	}

	public String getMsg()
	{
		return this.Msg;
	}

	public void setMsg(String strMsg)
	{
		this.Msg = strMsg;
	}

	public String getTimestamp()
	{
		return this.Timestamp;
	}

	public void setTimestamp(String dtTimestamp)
	{
		this.Timestamp = dtTimestamp;
	}

	public LogSession getParent()
	{
		return this.parent;
	}

	public void setParent(LogSession parent)
	{
		this.parent = parent;
	}
}