package no.jabber.eclipseplugin.jdtsearch;

import java.util.ArrayList;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.jdt.core.IJavaElement;
import org.eclipse.jdt.core.search.IJavaSearchConstants;
import org.eclipse.jdt.core.search.SearchEngine;
import org.eclipse.jdt.core.search.SearchMatch;
import org.eclipse.jdt.core.search.SearchParticipant;
import org.eclipse.jdt.core.search.SearchPattern;
/**
 * Methods for performing search in java files using the JDT searh engine
 */
public class JdtUtil
{
	public static ArrayList<SearchMatch> performJdtSearch(IJavaElement rootElement, String strSearch, int MEMBER_TYPE) throws CoreException
	{
		SearchPattern sp = SearchPattern.createPattern(strSearch, MEMBER_TYPE, IJavaSearchConstants.DECLARATIONS, SearchPattern.R_EXACT_MATCH);
		SearchEngine se = new SearchEngine();
		SearchRequestorEx sre = new SearchRequestorEx();
		se.search(sp, new SearchParticipant[] { SearchEngine.getDefaultSearchParticipant() }, SearchEngine.createJavaSearchScope(new IJavaElement[] { rootElement }), sre, null);
		return sre.getMatches();
	}
}
