package no.jabber.eclipseplugin.linking;

/**
 * The different parameter types an eclipse link may have. 
 */
public interface IEclipseLinkParamsTypes 
{
	// Parameter types
	static String LINE_NUMBER = "ln";
	static String METHOD_NAME = "mthd";
	static String FIELD_NAME = "field";
	static String FILE_TYPE = "ftype";

	// Mappings
	static String[] JAVA_PARAMS = new String[]{LINE_NUMBER,METHOD_NAME,FIELD_NAME};
	static String[] TEXT_PARAMS = new String[]{LINE_NUMBER};
}
