package no.jabber.eclipseplugin.preferences;
import no.jabber.eclipseplugin.SimpleChatPlugin;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

/**
 * Initializes the default values on the preference page
 */
public class PreferenceInitializer extends AbstractPreferenceInitializer
{
	public void initializeDefaultPreferences()
	{
		IPreferenceStore store = SimpleChatPlugin.getDefault().getPreferenceStore();
		store.setDefault(PreferenceConstants.P_GOOGLETALK, true);
		store.setDefault(PreferenceConstants.P_SERVER, "");
		store.setDefault(PreferenceConstants.P_PORT, 5222);
		store.setDefault(PreferenceConstants.P_USER, "user");
		store.setDefault(PreferenceConstants.P_PASS, "");
	}
}