package no.jabber.eclipseplugin.projectmanagement;

import no.jabber.eclipseplugin.serialization.LogData;

public class Contact
{
	private String UserName;
	private String FriendlyName;
	private transient boolean bOnline;
	private transient LogData ld;
	
	public String getUserName()
	{
		return this.UserName;
	}
	public void setUserName(String strUser)
	{
		this.UserName = strUser;
	}
	public String getFriendlyName()
	{
		return this.FriendlyName;
	}
	public void setFriendlyName(String strName)
	{
		this.FriendlyName = strName;
	}
	public boolean isOnline()
	{
		return this.bOnline;
	}
	public void setOnline(boolean online)
	{
		this.bOnline = online;
	}
	
	public Contact(String strUser, String strName, boolean bIsOnline)
	{
		this.FriendlyName = strName;
		this.UserName = strUser;
		this.bOnline = bIsOnline;
	}
	
	@Override
	public String toString()
	{
		return this.FriendlyName;
	}
	public LogData getLogData()
	{
		return this.ld;
	}
	public void setLogData(LogData ld)
	{
		this.ld = ld;
	}
	
	
}
